ENGAUGE-DIGITIZER(1)

NAME
engauge-digitizer - interactively convert a bitmap graph or map into numbers

SYNOPSIS
engauge [options]

DESCRIPTION
This manual page documents briefly the engauge command from the engauge-digitizer package.

Startup

-import FILE
    Automatically import the specified image file at startup. Image files may also be imported manually using the menu

-open FILE
    Automatically open the specified Engauge Digitizer document file at startup. Document files may also be opened manually using the menu

-help
    Display a list of command line options similar to this manpage in an X window and exit

-manual DIRECTORY
    Look for the HTML user guide in the specified directory. For Debian it is installed in /usr/share/doc/engauge-digitizer/usermanual and should need no configuration.

-axes XMIN XMAX YMIN YMAX
    Scan the imported file at startup, and locate the X and Y axes. Then digitize axis points assuming the X axis ranges from XMIN to XMAX, and the Y axis ranges from YMIN to YMAX. The X axis is assumed to be near the bottom of the image, and the Y axis is assumed to be on the left side of the image. For speed, no attempt to rotate the image if it is sideways, so the digitized points may require adjustment. This feature should be useful when using Perl or other scripts to digitize many images with known axes ranges. The axis points may also be digitized manually using the Digitize Axis Points mode

-lazysegments
    Postpone scanning for segments that is normally performed during startup, until either the Segments dialog is used, or the Segment Fill button is selected.

Shutdown

-export FILE
    Automatically export the active document at shutdown. Documents may also be exported manually using the menu.

Settings

-reset
    Reset all settings to the factory defaults. This option is a fast and easy way to restore all settings to a useful configuration, especially when there are problems with one or more settings. Settings are stored in a text file such as $HOME/.qt/engaugerc.

Debugging

-pixels
    Show cursor location in pixel coordinates rather than graph coordinates

-ctor
    Trace constructor calls

-dtor
    Trace destructor calls

-curvecmb
    Trace curve combobox operations

-measurecmb
    Trace measure combobox operations

-refresh
    Trace screen refreshes

-scanning
    Trace image scanning

Environment variables

ENGAUGE_BROWSER
    To start up the date/time converter from within Engauge Digitizer, this environment variable must be set to the shell command that runs a javascript-capable browser. Examples are 'firefox', 'konqueror', ...

ENGAUGE_USERMANUAL
    If set, this specifies the directory containing the user manual. This option, like the '-manual' command line option, should not be needed on a Debian installation.

SEE ALSO
The program is documented quite nicely in the HTML user guide and tutorial, available under /usr/share/doc/engauge-digitzer/usermanual or from Help within the running program.

AUTHOR
engauge-digitizer was written by Mark Mitchell <mmdigitizer@earthlink.net>.

This manual page was written by Tobias Stefan Richter <tsr-debian@achos.com> for the Debian project (but may be used by others).